Skip to content

time-tracking-employees​


Get employees​

GET
/accounts/{accountUuid}/time/v2/employees

Get all employees for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

onlyInactive

get only inactive employees

Type
[ "boolean", "null" ]
Default
null

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"jobTitle": "string",
  
  
  
"employeeNumber": "string",
  
  
  
"birthDate": "string",
  
  
  
"employeeGroupUuid": "string",
  
  
  
"employeeGroup": {
  
  
  
  
"uuid": "string",
  
  
  
  
"translations": {
  
  
  
  
  
"de": {
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
"name": "string"
  
  
  
  
  
},
  
  
  
  
  
"en": {
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
"name": "string"
  
  
  
  
  
},
  
  
  
  
  
"fr": {
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
"name": "string"
  
  
  
  
  
},
  
  
  
  
  
"it": {
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
"name": "string"
  
  
  
  
  
}
  
  
  
  
}
  
  
  
},
  
  
  
"employmentStartDate": "string",
  
  
  
"isActive": true,
  
  
  
"userUuid": "string",
  
  
  
"user": {
  
  
  
  
"id": 0,
  
  
  
  
"uuid": "string",
  
  
  
  
"firstName": "string",
  
  
  
  
"lastName": "string",
  
  
  
  
"email": "string"
  
  
  
},
  
  
  
"accountUuid": "string",
  
  
  
"addressUuid": "string",
  
  
  
"personUuid": "string",
  
  
  
"timeTrackingStartDate": "string",
  
  
  
"timeTrackingStartDateEditable": true,
  
  
  
"isPresent": true,
  
  
  
"hasInvalidContracts": true,
  
  
  
"hasImage": true,
  
  
  
"additionalInformation": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Add employee​

POST
/accounts/{accountUuid}/time/v2/employees

Add a new employee for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"employeeNumber": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"jobTitle": "string",
  
"userUuid": "string",
  
"employmentStartDate": "string",
  
"birthDate": "string",
  
"addressUuid": "string",
  
"employeeGroupUuid": "string",
  
"timeTrackingStartDate": "string",
  
"additionalInformation": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"jobTitle": "string",
  
  
"employeeNumber": "string",
  
  
"birthDate": "string",
  
  
"employeeGroupUuid": "string",
  
  
"employeeGroup": {
  
  
  
"uuid": "string",
  
  
  
"translations": {
  
  
  
  
"de": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"en": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"fr": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"it": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
}
  
  
  
}
  
  
},
  
  
"employmentStartDate": "string",
  
  
"isActive": true,
  
  
"userUuid": "string",
  
  
"user": {
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"email": "string"
  
  
},
  
  
"accountUuid": "string",
  
  
"addressUuid": "string",
  
  
"personUuid": "string",
  
  
"timeTrackingStartDate": "string",
  
  
"timeTrackingStartDateEditable": true,
  
  
"isPresent": true,
  
  
"hasInvalidContracts": true,
  
  
"hasImage": true,
  
  
"additionalInformation": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get employee​

GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}

Get an employee for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"jobTitle": "string",
  
  
"employeeNumber": "string",
  
  
"birthDate": "string",
  
  
"employeeGroupUuid": "string",
  
  
"employeeGroup": {
  
  
  
"uuid": "string",
  
  
  
"translations": {
  
  
  
  
"de": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"en": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"fr": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"it": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
}
  
  
  
}
  
  
},
  
  
"employmentStartDate": "string",
  
  
"isActive": true,
  
  
"userUuid": "string",
  
  
"user": {
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"email": "string"
  
  
},
  
  
"accountUuid": "string",
  
  
"addressUuid": "string",
  
  
"personUuid": "string",
  
  
"timeTrackingStartDate": "string",
  
  
"timeTrackingStartDateEditable": true,
  
  
"isPresent": true,
  
  
"hasInvalidContracts": true,
  
  
"hasImage": true,
  
  
"additionalInformation": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Delete employee​

DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}

Delete an employee of an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​


Update employee​

PATCH
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}

Update an employee for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"employeeNumber": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"jobTitle": "string",
  
"userUuid": "string",
  
"employmentStartDate": "string",
  
"birthDate": "string",
  
"addressUuid": "string",
  
"employeeGroupUuid": "string",
  
"timeTrackingStartDate": "string",
  
"additionalInformation": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"jobTitle": "string",
  
  
"employeeNumber": "string",
  
  
"birthDate": "string",
  
  
"employeeGroupUuid": "string",
  
  
"employeeGroup": {
  
  
  
"uuid": "string",
  
  
  
"translations": {
  
  
  
  
"de": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"en": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"fr": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"it": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
}
  
  
  
}
  
  
},
  
  
"employmentStartDate": "string",
  
  
"isActive": true,
  
  
"userUuid": "string",
  
  
"user": {
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"email": "string"
  
  
},
  
  
"accountUuid": "string",
  
  
"addressUuid": "string",
  
  
"personUuid": "string",
  
  
"timeTrackingStartDate": "string",
  
  
"timeTrackingStartDateEditable": true,
  
  
"isPresent": true,
  
  
"hasInvalidContracts": true,
  
  
"hasImage": true,
  
  
"additionalInformation": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get available users​

GET
/accounts/{accountUuid}/time/v2/employees/available-users

Get available users for employees

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

employeeUuid

excluded employee

Type
[ "string", "null" ]
Format
"uuid"
Default
null

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"email": "string"
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get current employee​

GET
/accounts/{accountUuid}/time/v2/employees/me

Get the employee for the current user and account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"jobTitle": "string",
  
  
"employeeNumber": "string",
  
  
"birthDate": "string",
  
  
"employeeGroupUuid": "string",
  
  
"employeeGroup": {
  
  
  
"uuid": "string",
  
  
  
"translations": {
  
  
  
  
"de": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"en": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"fr": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"it": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
}
  
  
  
}
  
  
},
  
  
"employmentStartDate": "string",
  
  
"isActive": true,
  
  
"userUuid": "string",
  
  
"user": {
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"email": "string"
  
  
},
  
  
"accountUuid": "string",
  
  
"addressUuid": "string",
  
  
"personUuid": "string",
  
  
"timeTrackingStartDate": "string",
  
  
"timeTrackingStartDateEditable": true,
  
  
"isPresent": true,
  
  
"hasInvalidContracts": true,
  
  
"hasImage": true,
  
  
"additionalInformation": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get attachments​

GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachments

Get all attachments of an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"size": 0,
  
  
  
"mimeType": "string",
  
  
  
"url": "string"
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Upload attachment​

POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachments

Upload an attachment for an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Request Body​

multipart/form-data
Format"binary"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"size": 0,
  
  
"mimeType": "string",
  
  
"url": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get image​

GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/image

Get the image of an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"size": 0,
  
  
"mimeType": "string",
  
  
"url": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Upload image​

POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/image

Upload an image for an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Request Body​

multipart/form-data
Format"binary"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"size": 0,
  
  
"mimeType": "string",
  
  
"url": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Delete image​

DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/image

Delete the image of an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​


Delete attachment​

DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/attachments/{attachmentUuid}

Delete an attachment of an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"
attachmentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​